Get API key
GETapi.oab-forecasting.com/v1/forecast-jobs/{job_id}

Retrieve Forecast Results

Retrieve a queued, active, completed, failed, or cancelled async job owned by the caller.

View code & Try it

Path Parameters

job_idstringrequired

Identifier returned when the job was submitted.

Response Schema

statusqueued | in_progress | completed | failed | cancelledrequired
modelstring | null
seriesarray[array[SeriesPrediction]] | null
result_urlstring | nullSigned URL for a large completed result.
result_expires_atstring | null
errorstring | null

Response Example

{
  "status": "queued",
  "model": "yug"
}

Possible Errors

401UnauthorizedThe API key is missing or invalid.
403ForbiddenThe authenticated owner cannot access this job.
404Not foundNo job exists for the identifier.
503Job store unavailableThe queue or job store is temporarily unavailable.
import requests

response = requests.get(
    "https://api.oab-forecasting.com/v1/forecast-jobs/JOB_ID",
    headers={"Authorization": "Bearer YOUR_API_KEY"},
)
response.raise_for_status()
print(response.json())
GETapi.oab-forecasting.com/v1/forecast-jobs/{job_id}

Retrieve Forecast Results

Retrieve a queued, active, completed, failed, or cancelled async job owned by the caller.

View code & Try it

Path Parameters

job_idstringrequired

Identifier returned when the job was submitted.

Response Schema

statusqueued | in_progress | completed | failed | cancelledrequired
modelstring | null
seriesarray[array[SeriesPrediction]] | null
result_urlstring | nullSigned URL for a large completed result.
result_expires_atstring | null
errorstring | null

Response Example

{
  "status": "queued",
  "model": "yug"
}

Possible Errors

401UnauthorizedThe API key is missing or invalid.
403ForbiddenThe authenticated owner cannot access this job.
404Not foundNo job exists for the identifier.
503Job store unavailableThe queue or job store is temporarily unavailable.